subtle - Bug #150

Missing all traycons on :SubtleRestart
11/12/2010 01:08 AM - Domenico Brown

Status: Fixed Start date: 11/12/2010
Priority: Urgent Due date:

Assignee: Christoph Kappel % Done: 100%
Category: Bugfix Estimated time: 0.00 hour
Target version:

Description

History

#1 - 11/12/2010 03:53 PM - Christoph Kappel
- Category set to Bugfix
- Assignee set to Non member users

- Target version set to 1

#2 - 11/12/2010 07:43 PM - Christoph Kappel

| am probably not able to solve this, because it's a flaw in the XEmbed specification. It clearly says:

Robustness

The protocol, as currently constituted, is not robust against the embedder crashing. This will result in the e
mbedder window being destroyed by the X server, and, as a consequence client's window being unexpectedly destr
oyed, which will likely cause the client to die with a BadWindow error.

Exactly this happens, even when | reparent the window it will still crash.

#3 - 12/02/2010 09:35 PM - Christoph Kappel

- Status changed from Unconfirmed to Fixed

- % Done changed from 0 to 100

Applied in changeset r2346.
http://standards.freedesktop.org/xembed-spec/xembed-spec-latest.html
https://subtle.de/projects/subtle/repository/revisions/2346
http://www.tcpdf.org

